Add Individuals to an Email List
curl --request POST \
--url https://api.virtuoussoftware.com/api/EmailList \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailListIds": [
"<integer>",
"<integer>"
],
"contactIndividualIds": [
"<integer>",
"<integer>"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailListIds: ['<integer>', '<integer>'],
contactIndividualIds: ['<integer>', '<integer>']
})
};
fetch('https://api.virtuoussoftware.com/api/EmailList', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/EmailList"
payload = {
"emailListIds": ["<integer>", "<integer>"],
"contactIndividualIds": ["<integer>", "<integer>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/EmailList");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"emailListIds\": [\n \"<integer>\",\n \"<integer>\"\n ],\n \"contactIndividualIds\": [\n \"<integer>\",\n \"<integer>\"\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/EmailList';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailListIds: ['<integer>', '<integer>'],
contactIndividualIds: ['<integer>', '<integer>']
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));"<object>"{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Emails
Add Individuals to an Email List
This endpoint places a message on a queue and will return an Accepted response. The message will then be picked up by the queue and process adding individuals to a list. Note that this could take up to 4 hours to be completed. Do not use this endpoint to add a single individual to a list, wait and do them in bulk instead. Doing a single individual at a time will block up the organizations queue and will increase processing time. To retrieve individual id’s, use the api/ContactIndividual/Query.
POST
/
api
/
EmailList
Add Individuals to an Email List
Last modified on August 11, 2026
Was this page helpful?
⌘I